Holdings
Data Model
Holding
Holding value on a specific date.
ccyCode(string): ISO 4217 code for the currency in which the holding is reported.date(string): ISO 8601 representation of the date where the data holds.marketValue(number): Market value of the holding.
Relationships
reportingEntity(required)depository(optional)portfolio(optional)instrument(optional)instrumentClass(optional)instrumentClassDetailed(optional)
Instrument Holding
Holding value on a specific date for a specific instrument.
ccyCode(string): ISO 4217 code for the currency in which the holding is reported.date(string): ISO 8601 representation of the date where the data holds.marketValue(number): Market value of the holding.unitsInHolding(number): The number of units of the instrument owned.
Relationships
reportingEntity(required)depository(optional)portfolio(required)instrument(required)instrumentClass(optional)instrumentClassDetailed(optional)
Endpoints
GET /holdings/reporting-entities/:id
Get holding values for a specific reporting entity in a given period.
The default behavior of the endpoint is to aggregate holdings of the entire reporting entity.
More granular data can be retrieved by using the expand parameter.
Parameters
-
expand(query): Allows for expansion of the data from the total reporting entity level to lower levels. Possible values: "portfolios", "depositories", "instruments", "instrumentClasses", "instrumentClassesDetailed". Multiple values can be passed as a comma separated list, e.g. "portfolios,instruments". When choosing "depositories" all holdings without a depository can be identified as those not including depository in the "relationships" object. -
fromDate(query, required): ISO 8601 representation of the first date in period. -
id(path, required): Identifier for the reporting entity. -
include(query, optional): Allows for inclusion of related data. Multiple values can be passed as a comma separated list. Possible values: "instruments". -
toDate(query, required): ISO 8601 representation of the last date in the period.
Examples
200 OK
Total Reporting Entity Holdings
# Request
GET /api/v2/holdings/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-06-03
&toDate=2024-06-04 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "holding",
"id": "ZDAzNDhiNjVmYWUzMTdhZGVmMWZmOGNk",
"attributes": {
"date": "2024-06-03",
"ccyCode": "DKK",
"marketValue": 144091629
},
"relationships": {
"reportingEntity": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
},
{
"type": "holding",
"id": "OWVjOWRmMmM1YTg2MWY5ZGQ2OWNlYTk3",
"attributes": {
"date": "2024-06-04",
"ccyCode": "DKK",
"marketValue": 144860105
},
"relationships": {
"reportingEntity": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
]
}
Holdings By Portfolios
Passing expand=portfolios to the endpoint results in per-portfolio holdings data.
200 OK
# Request
GET /api/v2/holdings/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-06-03
&toDate=2024-06-04
&expand=portfolios HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "holding",
"id": "ZDAzNDhiNjVmYWUzMTdhZGVmMWZmOGNk",
"attributes": {
"date": "2024-06-03",
"ccyCode": "DKK",
"marketValue": 144091629
},
"relationships": {
"portfolio": {
"data": {
"type": "portfolio",
"id": "649ada0dfc1a10be9e2ea249"
}
},
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
},
{
"type": "holding",
"id": "OWVjOWRmMmM1YTg2MWY5ZGQ2OWNlYTk3",
"attributes": {
"date": "2024-06-04",
"ccyCode": "DKK",
"marketValue": 144860105
},
"relationships": {
"portfolio": {
"data": {
"type": "portfolio",
"id": "649ada0dfc1a10be9e2ea249"
}
},
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
}
]
}
Holdings By Instruments
200 OK
# Request
GET /api/v2/holdings/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-06-03
&toDate=2024-06-04
&expand=instruments HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "holding",
"id": "ZDAzNDhiNjVmYWUzMTdhZGVmMWZmOGNk",
"attributes": {
"date": "2024-06-03",
"ccyCode": "DKK",
"marketValue": 144091629
},
"relationships": {
"instrument": {
"data": {
"type": "instrument",
"id": "649ada0dfc1a10be9e2ea249"
}
}
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
},
{
"type": "holding",
"id": "OWVjOWRmMmM1YTg2MWY5ZGQ2OWNlYTk3",
"attributes": {
"date": "2024-06-04",
"ccyCode": "DKK",
"marketValue": 144860105
},
"relationships": {
"instrument": {
"data": {
"type": "instrument",
"id": "649ada0dfc1a10be9e2ea249"
}
}
"reportingEntity": {
"data": {
"type": "reporting-entity",
"id": "649ad926fc1a10be9e2ea241"
}
}
}
}
]
}
Holdings By Portfolios and Instruments
200 OK
# Request
GET /api/v2/holdings/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-10-01
&toDate=2024-10-01
&expand=instruments,portfolios HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "holding",
"id": "zIWYr8EuJRo9odnTHYD5SQ",
"attributes": {
"date": "2024-10-01",
"marketValue": 702926.90187541,
"ccyCode": "DKK"
},
"relationships": {
"portfolio": {
"data": {
"id": "666ae70b272d21815633c902",
"type": "portfolio"
}
},
"instrument": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7b",
"type": "instrument"
}
},
"reportingEntity": {
"data": {
"id": "649ad926fc1a10be9e2ea241",
"type": "reporting-entity"
}
}
}
},
{
"type": "holding",
"id": "Q0xX9JQhEizBCLUBOjbtKw",
"attributes": {
"date": "2024-10-01",
"marketValue": 700569.24008607,
"ccyCode": "DKK"
},
"relationships": {
"portfolio": {
"data": {
"id": "666ae70b272d21815633c903",
"type": "portfolio"
}
},
"instrument": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7b",
"type": "instrument"
}
},
"reportingEntity": {
"data": {
"id": "649ad926fc1a10be9e2ea241",
"type": "reporting-entity"
}
}
}
}
]
}
Holdings By Instrument Class and Detailed Instrument Class
200 OK
# Request
GET /api/v2/holdings/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-10-01
&toDate=2024-10-01
&expand=instrumentClasses,instrumentClassesDetailed HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "holding",
"id": "zIWYr8EuJRo9odnTHYD5SQ",
"attributes": {
"date": "2024-10-01",
"marketValue": 702926.90187541,
"ccyCode": "DKK"
},
"relationships": {
"instrumentClass": {
"data": {
"id": "666ae70b272d21815633c902",
"type": "instrument-class"
}
},
"instrumentClassDetailed": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7b",
"type": "instrument-class-detailed"
}
},
"reportingEntity": {
"data": {
"id": "649ad926fc1a10be9e2ea241",
"type": "reporting-entity"
}
}
}
},
{
"type": "holding",
"id": "Q0xX9JQhEizBCLUBOjbtKw",
"attributes": {
"date": "2024-10-01",
"marketValue": 700569.24008607,
"ccyCode": "DKK"
},
"relationships": {
"instrumentClass": {
"data": {
"id": "666ae70b272d21815633c903",
"type": "instrument-class"
}
},
"instrumentClassDetailed": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7b",
"type": "instrument-class-detailed"
}
},
"reportingEntity": {
"data": {
"id": "649ad926fc1a10be9e2ea241",
"type": "reporting-entity"
}
}
}
}
]
}
GET /instrument-holdings/reporting-entities/:id
Get instrument holdings for a reporting entity with a specific ID.
As opposed to regular holdings fetched with GET /holdings/reporting-entities/:id, where
data may be summarized by means of the expand parameter, instrument holdings
always represent the most detailed reporting level.
Parameters
fromDate(query, required): ISO 8601 representation of the first date in the period.id(path, required): Identifier for the reporting entity.include(query, optional): Allows for inclusion of related data. Multiple values can be passed as a comma separated list. Possible values: "instrument".toDate(query, required): ISO 8601 representation of the last date in the period.
Examples
200 OK
# Request
GET /api/v3/instrument-holdings/reporting-entities/649ad926fc1a10be9e2ea241
?fromDate=2024-06-03
&toDate=2024-06-04 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io
# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": [
{
"type": "instrument-holding",
"id": "LUod8Si5QHtsMEHJCX6g7w",
"attributes": {
"date": "2024-10-01",
"marketValue": 702926.90187541,
"ccyCode": "DKK",
"unitsInHolding": 23542
},
"relationships": {
"portfolio": {
"data": {
"id": "666ae70b272d21815633c902",
"type": "portfolio"
}
},
"instrument": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7b",
"type": "instrument"
}
},
"depository": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7c",
"type": "depository"
}
},
"reportingEntity": {
"data": {
"id": "649ad926fc1a10be9e2ea241",
"type": "reporting-entity"
}
},
"instrumentClass": {
"data": {
"id": "68c1689688080d5f4429f6d1",
"type": "instrument-class"
}
},
"instrumentClassDetailed": {
"data": {
"id": "68c1689aa3da1528dc9c1a8f",
"type": "instrument-class-detailed"
}
}
}
},
{
"type": "instrument-holding",
"id": "WcZ_9l3YdHHT5plvqczy6Q",
"attributes": {
"date": "2024-10-01",
"marketValue": 700569.24008607,
"ccyCode": "DKK",
"unitsInHolding": 6782
},
"relationships": {
"portfolio": {
"data": {
"id": "666ae70b272d21815633c903",
"type": "portfolio"
}
},
"instrument": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7b",
"type": "instrument"
}
},
"depository": {
"data": {
"id": "0e496ca224b76c4d9bdbfc7c",
"type": "depository"
}
},
"reportingEntity": {
"data": {
"id": "649ad926fc1a10be9e2ea241",
"type": "reporting-entity"
}
},
"instrumentClass": {
"data": {
"id": "68c1689688080d5f4429f6d1",
"type": "instrument-class"
}
},
"instrumentClassDetailed": {
"data": {
"id": "68c1689aa3da1528dc9c1a8f",
"type": "instrument-class-detailed"
}
}
}
}
]
}